Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle.phases
Class MuleContextInitialisePhase

    java.lang.Object
      org.mule.lifecycle.phases.DefaultLifecyclePhase
          org.mule.lifecycle.phases.MuleContextInitialisePhase

All Implemented Interfaces:
  MuleContextAware, LifecyclePhase

    public class MuleContextInitialisePhase

extends DefaultLifecyclePhase

The MuleContextInitialisePhase defines the lifecycle behaviour when the Mule context is initialised. The MuleContext is associated with one or more registries that inherit the lifecycle of the MuleContext.

This phase is responsible for initialising objects. Any object that implements `Initialisable` will have its `Initialisable.initialise()` method called. Objects are initialised in the order based on type: `Connector`, `Agent`, `Model`, `Service`, followed by any other object that implements `Initialisable`.

Since:
  3.0
See Also:
  `MuleContext`, `LifecycleManager`, `Initialisable`

Field Summary

Fields inherited from class org.mule.lifecycle.phases.DefaultLifecyclePhase
`logger`

Fields inherited from interface org.mule.api.lifecycle.LifecyclePhase
`ALL_PHASES`

Constructor Summary
`MuleContextInitialisePhase()`

Method Summary
`void` | `applyLifecycle(Object o)`

Methods inherited from class org.mule.lifecycle.phases.DefaultLifecyclePhase
`addOrderedLifecycleObject, getIgnoredObjectTypes, getLifecycleClass, getName, getOppositeLifecyclePhase, getOrderedLifecycleObjects, getSupportedPhases, ignoreType, isPhaseSupported, registerSupportedPhase, removeOrderedLifecycleObject, setIgnoredObjectTypes, setLifecycleClass, setMuleContext, setOrderedLifecycleObjects, setSupportedPhases, sortLifecycleInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleContextInitialisePhase

    public MuleContextInitialisePhase()

Method Detail

### applyLifecycle

    public void applyLifecycle(Object o)
                        throws LifecycleException

  Specified by:
    `applyLifecycle` in interface `LifecyclePhase`
  Overrides:
    `applyLifecycle` in class `DefaultLifecyclePhase`
  Throws:
    `LifecycleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.